For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETMCP manifest
      • GETOAuth protected resource metadata
      • GETMCP surface info
      • POSTExecute an MCP surface tool (dashboard test)
      • POSTList MCP surface tools (dashboard test)
Dashboard
LogoLogo
Runtype APIProduct Mcp

MCP manifest

GET
/v1/products/:productId/surfaces/:surfaceId/mcp/.well-known/mcp.json
GET
/v1/products/:productId/surfaces/:surfaceId/mcp/.well-known/mcp.json
$curl https://api.runtype.com/v1/products/productId/surfaces/surfaceId/mcp/.well-known/mcp.json \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "authentication": {
3 "required": true,
4 "type": "bearer",
5 "description": "Authentication required using API key or Clerk session token."
6 },
7 "capabilities": {
8 "logging": true,
9 "prompts": true,
10 "resources": true,
11 "tools": true
12 },
13 "description": "Runtype MCP manifest describing server capabilities and available tools.",
14 "name": "Runtype AI Platform",
15 "protocolVersion": "1.0",
16 "tools": [
17 {
18 "description": "Natural language prompt processor for AI-driven automation.",
19 "name": "PromptProcessor"
20 }
21 ],
22 "url": "https://api.runtype.com/v1/products/ai-platform/surfaces/web/mcp",
23 "version": "1.0.0",
24 "icons": [
25 "https://runtype.com/assets/icons/mcp-icon-64.png"
26 ]
27}

MCP manifest describing the server capabilities. Public (no auth) for discovery. Protected surfaces omit tool details until authenticated.

Was this page helpful?
Previous

OAuth protected resource metadata

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

productIdstringRequired
surfaceIdstringRequired

Response

MCP manifest
authenticationobject
capabilitiesobject
descriptionstring
namestring
protocolVersionstring
toolslist of objects
urlstring
versionstring
iconslist of any

Errors

404
Not Found Error
500
Internal Server Error